Where to get older freeciv versions? [Trouble with 2.5.10]

You can get help here if Freeciv doesn't start on your computer, or if you keep getting fatal errors while playing etc.
User avatar
JTN
Elite
Posts: 462
Joined: Wed Jan 30, 2013 12:15 am

Re: Where to get older freeciv versions?

Postby JTN » Wed Feb 28, 2018 11:07 pm

wieder wrote:Seems that 2.5.10 users are having lots of issues on longturn.org. All seems to be client UI related, GTK and both Win and Linux.

For avoidance of doubt: our 2.5.11 release plans aren't going to address any such issues on Linux, since our remedy is to revert a Windows library change.

However, no-one has yet confirmed any Linux problems.

wieder wrote:Some stuff on the old clients were easy to get used to. Like the one in 2.5.7 where the production is not updated without switching to another city tab.

I think this one has been around forever (and so is likely to persist in 2.5.11); I've never characterised it enough even to raise a bug about it, IIRC.

User avatar
dunnoob
Elite
Posts: 326
Joined: Mon Dec 23, 2013 3:13 am
Location: Hamburg
Contact:

Re: Where to get older freeciv versions?

Postby dunnoob » Sat Mar 03, 2018 10:16 am

cazfi wrote:https://sourceforge.net/projects/freeciv/files/

Also interesting, e.g., if folks are willing to overwrite all installed 2.5.x files by "portable" 2.5.y files: portableapps/files/FreeCiv%20Portable/

cazfi
Elite
Posts: 1532
Joined: Tue Jan 29, 2013 6:54 pm

Re: Where to get older freeciv versions?

Postby cazfi » Thu Mar 08, 2018 9:00 pm

cazfi wrote:Our current plan is to release 2.5.11, using older gnuwin, and so fixing this issue, in two weeks.
The 2.5.11 release has been postponed.

User avatar
JTN
Elite
Posts: 462
Joined: Wed Jan 30, 2013 12:15 am

Re: Where to get older freeciv versions? [Trouble with 2.5.10]

Postby JTN » Mon Mar 26, 2018 9:32 pm

2.5.11 has been released, and ought to fix the crash that started this thread. See the announcement.